Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.codehaus.groovy.grails.web.xml
Enum XMLStreamWriter.Mode

    java.lang.Object
      java.lang.Enum<XMLStreamWriter.Mode>
          org.codehaus.groovy.grails.web.xml.XMLStreamWriter.Mode

All Implemented Interfaces:
  Serializable, Comparable<XMLStreamWriter.Mode>

Enclosing class:
  XMLStreamWriter

    protected static enum XMLStreamWriter.Mode

extends Enum<XMLStreamWriter.Mode>

Enum Constant Summary
`CONTENT`
`INIT`
`TAG`

Method Summary
`static XMLStreamWriter.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XMLStreamWriter.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INIT

    public static final XMLStreamWriter.Mode INIT

### TAG

    public static final XMLStreamWriter.Mode TAG

### CONTENT

    public static final XMLStreamWriter.Mode CONTENT

Method Detail

### values

    public static final XMLStreamWriter.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XMLStreamWriter.Mode c : XMLStreamWriter.Mode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XMLStreamWriter.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2005-2009 The Grails project